Bug 184220 - Installer does not create grub.conf if selected to not be installed on MBR
Installer does not create grub.conf if selected to not be installed on MBR
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-07 09:28 EST by Walter Francis
Modified: 2008-03-10 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 21:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walter Francis 2006-03-07 09:28:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20060111 Firefox/

Description of problem:
When installing the system, if Grub is told NOT to install to the MBR, it doesn't appear to make a grub.conf either.  Therefore you cannot simply boot into Linux rescue and grub-install to make the system work, you have to make a grub.conf by hand or something along those lines.

I was hoping to make a boot CD and not install GRUB to the MBR of a test machine, so I didn't install MBR.  When I couldn't find mkbootdisk, I decided to install grub, and found that the config files didn't exist.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Run installer
2. Chose not to install GRUB to MBR.
3. Look at /etc/grub when finished
4. Note that grub.conf/menu.lst/etc does not exist.

Actual Results:  No grub.conf, unable to install grub without manual creation of files.

Expected Results:  The config files should all be there ready for the user to run grub-install if they want to later.

Additional info:
Comment 1 Matthew Miller 2007-04-06 13:16:37 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 petrosyan 2008-03-10 21:12:09 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.